package net.eciz.evosciencia;

import net.eciz.evosciencia.values.EvoScienciaValues;

import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;

/**
 * 
 * @author edalina
 * Main class for desktop app
 *
 */
public class Main implements EvoScienciaValues {

	public static void main(String[] args) {
		
		LwjglApplicationConfiguration configuration = new LwjglApplicationConfiguration();
		configuration.title = APP_NAME + " v" + APP_VERSION;
		configuration.useGL20 = CONF_USEGL20;
		configuration.vSyncEnabled = CONF_VSYNC;
		configuration.width = CONF_WIDTH;
		configuration.height = CONF_HEIGHT;
		
		new LwjglApplication(new EvoSciencia(), configuration);
		
	}
	
}
