package net.eciz.evosciencia.model;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.InputProcessor;
import com.badlogic.gdx.graphics.g2d.Sprite;

public class DPADElement extends Sprite implements InputProcessor {

	private Sprite sprite;
	private Avatar avatar;
	private boolean isDown = false;
	private boolean isActive = true;
	
	// Actions on touch down
	private void up() {
		System.out.println( "UP" );
//		avatar.moveCharacter(DPADType.DPAD_UP);
	}
	
	private void down() {
		System.out.println( "DOWN" );
	}
	
	private void left() {
		System.out.println( "LEFT" );
	}
	
	private void right() {
		System.out.println( "RIGHT" );
	}
	
	public DPADElement(Sprite sprite, Avatar avatar) {
		super(sprite);
		this.sprite = sprite;
		this.avatar = avatar;
	}
	
	@Override
	public boolean keyDown(int keycode) {
		avatar.moveCharacter(keycode);
		return false;
	}

	@Override
	public boolean keyUp(int keycode) {
		return false;
	}

	@Override
	public boolean keyTyped(char character) {
		return false;
	}

	@Override
	public boolean touchDown(int screenX, int screenY, int pointer, int button) {
		this.isDown = true;
		int height = Gdx.graphics.getHeight();
		int btnSize = height/10;
//		if( screenX > (btnSize + 20) &&
//			screenX < ((btnSize*2) + 20) &&
//			screenY > ( ( btnSize*2 ) + ( btnSize/2 ) + 20 ) &&
//			screenY < ( ( btnSize*3 ) + ( btnSize/2 ) + 20 ) ) {
//			this.up();
//		}
//		
//		if( screenX > (btnSize + 20) &&
//			screenX < ((btnSize*2) + 20) &&
//			screenY > ( ( btnSize ) - ( btnSize/2 ) + 20 ) &&
//			screenY < ( ( btnSize*2 ) - ( btnSize/2 ) + 20 ) ) {
//			this.down();
//		}
//		
//		if( screenX > 20 &&
//			screenX < (btnSize + 20) &&
//			screenY > ( ( btnSize/2 ) + btnSize + 20 ) &&
//			screenY < ( ( btnSize/2 ) + ( btnSize*2 ) + 20 ) ) {
//			this.left();
//		}
//		
//		if( screenX > 20 + ( btnSize * 2) &&
//			screenX < 20 + ( btnSize * 3) &&
//			screenY > ( ( btnSize/2 ) + btnSize + 20 ) &&
//			screenY < ( ( btnSize/2 ) + ( btnSize*3 ) + 20 ) ) {
//			this.right();
//		}
		return false;
	}

	@Override
	public boolean touchUp(int screenX, int screenY, int pointer, int button) {
		isDown = false;
		return false;
	}

	@Override
	public boolean touchDragged(int screenX, int screenY, int pointer) {
		return false;
	}

	@Override
	public boolean mouseMoved(int screenX, int screenY) {
		return false;
	}

	@Override
	public boolean scrolled(int amount) {
		return false;
	}
	
}
