package net.eciz.evosciencia.values;

/**
 * 
 * @author edalina
 * handler of application values and configuration
 *
 */
public interface EvoScienciaValues extends EvoScienciaResources {

	/**
	 * Application information
	 */
	public static final String APP_NAME = "EvoSciencia";
	public static final String APP_VERSION = "1.0 Beta";
	
	/**
	 * Application Configuration
	 */
	public static final boolean CONF_USEGL20 = true;
	public static final boolean CONF_VSYNC = true;
	public static final int CONF_WIDTH = 1200;
	public static final int CONF_HEIGHT = 500;
	
	/**
	 * Game Configuration
	 */
	public static final float MOVEMENT_SPEED = 200;
	
}
